<?php
/*
|--------------------------------------------------------------------------
| admin.php 管理员表
|--------------------------------------------------------------------------
*/

return array
(
	# 表名
	'name' => 'admin_group',
	# 显示给用户看的名称
	'lang' => '管理员部门关联表',
	'menu' => false,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			'list'		=> true,
		),
		
		'admin_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '管理员ID',
			'default' 	=> '',
			'desc' 		=> '管理员ID',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),

		'group_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '部门ID',
			'default' 	=> '',
			'desc' 		=> '部门ID',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', DEVER_TIME),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	# request 请求接口定义
	'request' => array
	(
		'getAll' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'group_id' => 'yes',
                'admin_id' => array('yes', '!='),
            ),
            'type' => 'all',
            'col' => '*|admin_id',
        ),
	)
);
