<?php
/*
|--------------------------------------------------------------------------
| signature.php
|--------------------------------------------------------------------------
*/

return array
(
	# 表名
	'name' => 'signature',
	# 显示给用户看的名称
	'lang' => '生成的signature',
	'menu' => false,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
		),
		
		'signature'		=> array
		(
			'type' 		=> 'varchar-64',
			'name' 		=> 'signature',
			'default' 	=> '',
			'desc' 		=> 'signature',
			'match' 	=> 'is_string',
			'list'		=> true,
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '操作时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'delete' => false,
		'edit' => false,
		'insert' => false,
	),

	# request 请求接口定义
	'request' => array
	(
		'deleteByDay' => array
		(
			'where' => array
			(
				'time' => array('yes-cdate', '<='),
			),
			'type' => 'delete',
		),
	),
);
