<?php

return array
(
    # 表名
    'name' => 'module',
    # 显示给用户看的名称
    'lang' => '模块管理',
    'desc' => '模块功能可视化管理功能开发中，暂时支持手动新增',
    'order' => -100,
    'menu' => false,
    'check' => 'key',
    'end' => array
    (
    	'update' => 'manage/module.create',
        'insert' => 'manage/module.create',
    ),
    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'list'      => true,
            'order'     => 'desc',
        ),

        'name'      => array
        (
            'type'      => 'varchar-32',
            'name'      => '模块名称',
            'default'   => '',
            'desc'      => '模块名称',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'path'      => array
        (
            'type'      => 'varchar-32',
            'name'      => '模块根目录-填写模块所属根目录，为空则当前模块建立在根目录',
            'default'   => '',
            'desc'      => '模块目录',
            'match'     => 'option',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'domain'      => array
        (
            'type'      => 'varchar-100',
            'name'      => '域名-填写当前模块域名，如不填写则取当前管理组件的根域名',
            'default'   => '',
            'desc'      => '模块目录',
            'match'     => 'option',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),
        
        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '录入时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),
    
    'manage' => array
    (
        # 增加批量更新功能，根据哪个字段批量更新
        //'update_mul' => 'name',
    ),
    
    # request 请求接口定义
    'request' => array
    (
        
    ),
);
